import os
from openai import OpenAI


def send_text_to_chatgpt(text: str):
    client = OpenAI(
        # This is the default and can be omitted
        api_key=os.environ.get("OPENAI_API_KEY"),
    )

    response = client.chat.completions.create(
        messages=[
            {
                "role": "user",
                "content": text,
            }
        ],
        model="gpt-4-turbo-preview",
    )
    return response.choices[0].message.content
